Skip to main content
PATCH
/
api
/
v1
/
transactions
/
{id}
/
settle
Settle a transaction
curl --request PATCH \
  --url https://payments.oaknetwork.org/api/v1/transactions/{id}/settle \
  --header 'Content-Type: application/json' \
  --header 'app-key: <app-key>' \
  --data '
{
  "data": {
    "charge_id": "<string>",
    "amount": 123,
    "status": "SETTLED"
  }
}
'
{
  "msg": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "type": "<string>",
    "provider": "<string>",
    "source": {
      "amount": 123,
      "currency": "<string>",
      "customer": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "payment_method": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "<string>",
        "chain": "<string>"
      }
    },
    "destination": {
      "amount": 123,
      "currency": "<string>",
      "customer": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "payment_method": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "<string>",
        "chain": "<string>"
      }
    },
    "metadata": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "settlement_date": "2023-11-07T05:31:56Z"
  }
}

Headers

app-key
string
required

Application key for settlement authorization

Path Parameters

id
string<uuid>
required

Transaction UID

Body

application/json
data
object
required

Response

Transaction settled

msg
string
required

Human-readable message describing the result

data
object
required

Transaction object (field casing in response is lowercased for status, type, provider, currency)